local L = AceLibrary("AceLocale-2.2"):new("MainAssist")

L:RegisterTranslations("enUS", function()
    return {
		["TANK_LIST_HEADER"] = "Tank Lists",
		["CUSTOM"] = "Custom",
		["CUSTOM_DESC"] = "Custom Tank List Management",
		["ADDNAME"] = "Add by name",
		["ADD"] = "Add",
		["ADD_USAGE"] = "<tank name>",
		["ADD_DESC"] = "Add a tank to the custom tank list",
		["ADDTARGET"] = "Add Target",
		["ADDTARGET_SHORT"] = "AddTar",
		["ADDTARGET_DESC"] = "Add your current target to the custom tank list",
		["REMOVE"] = "Remove",
		["REMOVE_DESC"] = "Remove a tank from the Custom tank list",
		["ARRANGE"] = "Arrange",
		["ARRANGE_DESC"] = "Select a tank to move it up the list, hold shift to move it down the list",
		["CLEAR"] = "Clear",
		["CLEAR_CUSTOM_DESC"] = "Clear the custom tanks list",
		["HIDE_CTRA"] = "Hide CTRA Tanks",
		["HIDE_CTRA_DESC"] = "Hide tanks from the custom list if they appear in the ctra list",
		["ENABLE"] = "Enable",
		["ENABLE_CTRA_DESC"] = "Enable support for showing the CTRA tank list",
		["CTRA"] = "CTRA",
		["CTRA_DESC"] = "CTRA Tank List Management",
		["ENABLE_CUSTOM_DESC"] = "Enable support for showing the Custom tank list",
		--["SMART_ASSIST"] = "Smart Assist",
		--["SMART_ASSIST_OPTIONS"] = "Smart Assist Options",
		--["CTRA_ASSIST_LAST"] = "CTRA Assist is Last",
		--["CTRA_ASSIST_LAST_DESC"] = "When enabled, the assist is on the bottom of the CTRA tank list, when disabled at the top",
		--["CUSTOM_ASSIST_LAST"] = "Custom Assist is Last",
		--["CUSTOM_ASSIST_LAST_DESC"] = "When enabled, the assist is on the bottom of the Custom tank list, when disabled at the top",
		["SHOWTOT_SHORT"] = "ShowToT",
		["SHOWTOT"] = "Show Target of Target",
		["SHOWTOT_DESC"] = "Show the Target of Target for the tanks",
		["COLORING"] = "Coloring",
		["COLORING_DESC"] = "Change how the Tank windows are colored",
		["UNIQUE"] = "Unique",
		["UNIQUE_DESC"] = "If a tank has a unique target on the list they will be colored green",
		["SELF"] = "Self",
		["SELF_DESC"] = "If a tank has the same target as you they will be colored green",
		["OPTIONS"] = "Options",
		["SCALE"] = "Scale",
		["SCALE_DESC"] = "Scale of the MainAssist Frames",
		["LOCK"] = "Lock",
		["LOCK_DESC"] = "Toggle locking the frames in place",
		["HIDELOCKED"] = "HideLocked",
		["HIDELOCKED_GUI"] = "Hide When Locked",
		["HIDELOCKED_DESC"] = "Hide the MainAssist Header when Locked (use /ma menu or the keybinding to show the menu)",
		["RESET_GUI"] = "Reset Position",
		["RESET"] = "Reset",
		["RESET_DESC"] = "Reset the position of the frames to default",
		["MENU"] = "Menu",
		["MENU_DESC"] = "Show the MainAssist Menu",
		["STATUS_DEAD"] = "*Dead*",
		["STATUS_NOTHERE"] = "*Not Here*",
		["STATUS_NONE"] = "*None*",
		
		--new in 2.1
		--["SMART_ASSIST_LIST"] = "Lists",
		--["SMART_ASSIST_POSITION"] = "Position",
		--["SMART_ASSIST_FIRST"] = "First",
		--["SMART_ASSIST_FIRST_DESC"] = "Smart Assist will pick the first entry on the list",
		--["SMART_ASSIST_LAST"] = "Last",
		--["SMART_ASSIST_LAST_DESC"] = "Smart Assist will pick the last entry on the list",
		["MOVE_UP"] = "Move Up",
		["MOVE_DOWN"] = "Move Down",
		["CLEAR_CUSTOM_ASSIST"] = "Clear Custom Assist",
		["SET_CUSTOM_ASSIST"] = "Set as Custom Assist",
		["HIDEEMPTY"] = "HideEmpty",
		["HIDEEMPTY_GUI"] = "Hide When Empty",
		["HIDEEMPTY_DESC"] = "Hide the MainAssist Header when there are no tanks set (use /ma menu or the keybinding to show the menu)",		
		["CTRA_AUTOPARTY"] = "Add Party when not in Raid",
		["CTRA_AUTOPARTY_DESC"] = "Add all party members automatically when not in a raid.",
		["SHOWNUMTARGETING_SHORT"] = "ShowNumTargeting",
		["SHOWNUMTARGETING"] = "Show Number Targeting",
		["SHOWNUMTARGETING_DESC"] = "Show the Number of members of your raid/party that are targeting the same unit as the tanks",
		["GROWUP_GUI"] = "Grow Up",
		["GROWUP_CMD"] = "GrowUp",
		["GROWUP_DESC"] = "When enabled the frames will be arranged above the anchor, when not they will be arranged below",

		--new in 2.2
		["HIGHLIGHTASSIST_SHORT"] = "HighlightAssist",
		["HIGHLIGHTASSIST"] = "Highlight Assist",
		["HIGHLIGHTASSIST_DESC"] = "Highlight the name of tank that the smart asssit hotkey will assist.",
		["EDIT"] = "Edit",
		["CTRA_EDIT_DESC"] = "Edit the CTRA tank list. Click to add your target, click with no target or shift held down to remove an entry",
		["BROADCAST_NOW"] = "Broadcast Now",
		["BROADCAST_DESC"] = "Sends your current Tanklist to the Raid",
		["-NONE-"] = "-None-",
		["CLEAR_CTRA_DESC"] = "Clear the CTRA tanks list",
		--["RESET_SMARTASSIST"] = "Resetting Smart Assist to auto",
		["BAR_TEXTURE"] = "Bar Texture",
		["BAR_TEXTURE_DESC"] = "Sets the texture used for the Tank Frames",
		["BAR_TEXTURE_USAGE"] = "<texture name>",
        ["SHOW_MTHP_SHORT"] = "ShowMTHp",
        ["SHOW_MTHP"] = "Show Tanks Hp Bar",
        ["SHOW_MTHP_DESC"] = "Toggles showing of a hp bar for the tanks",
		
		--new in 2,3
		["TRANSPARENCY"] = "Transparency",
		["TRANSPARENCY_DESC"] = "Alter the transparency of the MainAssist Frames",
		["CLASS"] = "Class",
		["CLASS_DESC"] = "Tanks will be colored based on thier class",
		["TARGETCLASS"] = "Target Class",
		["TARGETCLASS_DESC"] = "Tanks will be colored based on the class of thier target",
		["RESET_MAINASSIST"] = "Custom Main Assist not found in tank list. Resetting Main Assist to auto",
		["ASSISTS"] = "Auto Main Assist",
		["ASSISTS_OPTIONS"] = "Options for how a Main Assist will be automatically chosen out of the tank lists, this can be overridden by setting a Main Assist from the right click menu of the tank frames",
		["MAIN_ASSIST_LIST"] = "Lists",
		["MAIN_ASSIST_POSITION"] = "Position",
		["MAIN_ASSIST_FIRST"] = "First",
		["MAIN_ASSIST_FIRST_DESC"] = "The Main Assist will be automatically set to the first entry on the list",
		["MAIN_ASSIST_LAST"] = "Last",
		["MAIN_ASSIST_LAST_DESC"] = "The Main Assist will be automatically set to the last entry on the list",
		["MAIN_ASSIST"] = "Main Assist",
		["CLEAR_MAIN_ASSIST"] = "Clear Custom Assist",
		["SET_MAIN_ASSIST"] = "Set as Custom Assist",		
		["SECONDARY_ASSIST"] = "Secondary Assist",
		["SET_SECONDARY_ASSIST"] = "Set as Secondary Assist",
		["CLEAR_SECONDARY_ASSIST"] = "Clear Secondary Assist",
		["MAIN_ASSIST"] = "Main Assist",
		["TARGET_MAINASSIST"] = "Target Main Assist",
		["ASSIST_MAINASSIST"] = "Assist Main Assist",
		["TARGET_SECONDARYASSIST"] = "Target Secondary Assist",
		["ASSIST_SECONDARYASSIST"] = "Assist Secondary Assist",
		["MAINASSIST_OPTIONS"] = "MainAssist Options",
		["ADD_TARGET_TO_CUSTOM"] = "Add Target to Custom Tank List",
		["CLEAR_CUSTOM_TANKS"] = "Clear the Custom Tank List",
    }
end)



