﻿-- Version : Korean ( by gygabyte )
-- Last Update : 12/15/2006

local L = AceLibrary("AceLocale-2.2"):new("MainAssist")

L:RegisterTranslations("koKR", function()
    return {
		["TANK_LIST_HEADER"] = "탱커 목록",
		["CUSTOM"] = "사용자 탱커 목록",
		["CUSTOM_DESC"] = "사용자 탱커 목록 관리",
		["ADDNAME"] = "탱커 이름으로 추가",
		["ADD"] = "추가",
		["ADD_USAGE"] = "<탱커 이름>",
		["ADD_DESC"] = "사용자 탱커 목록에 탱커를 추가합니다.",
		["ADDTARGET"] = "대상 추가",
		["ADDTARGET_SHORT"] = "대상 추가",
		["ADDTARGET_DESC"] = "사용자 탱커 목록에 현태 대상을 추가합니다.",
		["REMOVE"] = "삭제",
		["REMOVE_DESC"] = "사용자 탱커 목록에서 탱커를 삭제합니다.",
		["ARRANGE"] = "위치 정렬",
		["ARRANGE_DESC"] = "탱커를 선택하면 목록에서 위로 올라가고, 쉬프트를 누룬채로 탱커를 선택하면 목록에서 아래로 이동합니다.",
		["CLEAR"] = "초기화",
		["CLEAR_CUSTOM_DESC"] = "사용자 탱커 목록을 초기화 합니다.",
		["HIDE_CTRA"] = "CTRA 탱커 숨김",
		["HIDE_CTRA_DESC"] = "CTRA 탱커 목록이 있으면 사용자 탱커 목록 숨깁니다.",
		["ENABLE"] = "활성화",
		["ENABLE_CTRA_DESC"] = "CTRA 탱커 목록을 표시를 활성화 합니다.",
		["CTRA"] = "CTRA",
		["CTRA_DESC"] = "CTRA 탱커 목록 관리",
		["ENABLE_CUSTOM_DESC"] = "사용자 탱커 목록을 활성화 합니다.",
		--["SMART_ASSIST"] = "자동 지원 목록",
		--["SMART_ASSIST_OPTIONS"] = "자동 지원 목록 설정",
		--["CTRA_ASSIST_LAST"] = "CTRA 탱커 목록 아래로",
		--["CTRA_ASSIST_LAST_DESC"] = "활성화 하면, 지원 목록은 CTRA 탱커 목록의 아래에 위치하고, 비활성화 하면 위에 위치하게 됩니다.",
		--["CUSTOM_ASSIST_LAST"] = "사용자 탱커 목록 아래로",
		--["CUSTOM_ASSIST_LAST_DESC"] = "활성화 하면, 지원 목록은 사용자 탱커 목록의 아래에 위치하고, 비활성화 하면 위에 위치하게 됩니다.",
		["SHOWTOT_SHORT"] = "ToT 표시",
		["SHOWTOT"] = "대상의 대상 표시",
		["SHOWTOT_DESC"] = "탱커들을 위한 대상의 대상을 표시합니다.",
		["COLORING"] = "색상화",
		["COLORING_DESC"] = "탱커 창의 색상화 되는 방법을 변경합니다.",
		["UNIQUE"] = "희귀",
		["UNIQUE_DESC"] = "탱커가 희귀 대상을 가지면 목록에서 녹색으로 보여집니다.",
		["SELF"] = "자신",
		["SELF_DESC"] = "탱커가 나와 같은 대상을 가지면 녹색으로 보여집니다.",
		["OPTIONS"] = "설정",
		["SCALE"] = "크기",
		["SCALE_DESC"] = "MainAssist 창의 크기를 조절합니다.",
		["LOCK"] = "고정",
		["LOCK_DESC"] = "원하는 위치에 창을 고정시킵니다",
		["HIDELOCKED"] = "고정시 숨김",
		["HIDELOCKED_GUI"] = "고정시 창 제목 숨김",
		["HIDELOCKED_DESC"] = "고정시킬 때 MainAssist 창 제목을 숨깁니다 (메뉴를 표시할려면 /ma menu 또는 단축키를 사용하세요)",
		["RESET_GUI"] = "위치 초기화",
		["RESET"] = "초기화",
		["RESET_DESC"] = "기본값으로 창 위치를 초기화 시킵니다.",
		["MENU"] = "메뉴",
		["MENU_DESC"] = "MainAssist 메뉴를 표시합니다.",
		["STATUS_DEAD"] = "*죽음*",
		["STATUS_NOTHERE"] = "*Not Here*",
		["STATUS_NONE"] = "*없음*",
        
		--new in 2.1
		--["SMART_ASSIST_LIST"] = "목록",
		--["SMART_ASSIST_POSITION"] = "위치",
		--["SMART_ASSIST_FIRST"] = "첫번째",
		--["SMART_ASSIST_FIRST_DESC"] = "지원 목록은 탱커 목록의 첫번째로 선택합니다.",
		--["SMART_ASSIST_LAST"] = "마지막",
		--["SMART_ASSIST_LAST_DESC"] = "지원 목록은 탱커 목록의 마지막으로 선택합니다.",
		["MOVE_UP"] = "위로 이동",
		["MOVE_DOWN"] = "아래로 이동",
		["CLEAR_CUSTOM_ASSIST"] = "사용자 탱커에서 삭제",
		["SET_CUSTOM_ASSIST"] = "사용자 탱커로서 설정",
		["HIDEEMPTY"] = "창 제목 숨김",
		["HIDEEMPTY_GUI"] = "창 제목 숨김",
		["HIDEEMPTY_DESC"] = "설정된 탱커가 없을 때 창 제목을 숨깁니다. (메뉴를 표시할려면 /ma menu 또는 단축키를 사용하세요)",		
		["CTRA_AUTOPARTY"] = "공격대가 아닐 때 파티원 추가",
		["CTRA_AUTOPARTY_DESC"] = "공격대가 아닐 때 자동적으로 모든 파티원을 추가합니다.",
		["SHOWNUMTARGETING_SHORT"] = "타겟팅 숫자 표시",
		["SHOWNUMTARGETING"] = "타겟팅 숫자 표시",
		["SHOWNUMTARGETING_DESC"] = "탱커로서 같은 유닛을 타겟팅한 파티원/공격대원의 숫자를 표시합니다.",
		["GROWUP_GUI"] = "위로 이동",
		["GROWUP_CMD"] = "아래로 이동",
		["GROWUP_DESC"] = "활성화 하면 프레임은 앵커 위에 위치하고 비활성화하면 앵커 아래에 위치합니다.",
        
		--new in 2.2
		["HIGHLIGHTASSIST_SHORT"] = "탱커 이름 강조",
		["HIGHLIGHTASSIST"] = "탱커 이름 강조",
		["HIGHLIGHTASSIST_DESC"] = "smart asssit hotkey로 지원하는 탱커의 이름을 강조합니다.",
		["EDIT"] = "편집",
		["CTRA_EDIT_DESC"] = "CTRA 탱커 목록을 편집합니다. 현재 대상을 클릭으로 추가할 수 있고, 대상이 없는 상태에서의 클릭이나 쉬프트를 누른 상태에서의 클릭으로 탱커 목록에서 대상을 삭제할 수 있습니다.",
		["BROADCAST_NOW"] = "지금 알림",
		["BROADCAST_DESC"] = "공격대에 현재 당신의 탱커 목록을 보냅니다.",
		["-NONE-"] = "-없음-",
		["CLEAR_CTRA_DESC"] = "CTRA 탱커 목록을 초기화합니다.",
		--["RESET_SMARTASSIST"] = "지원 목록 리셋",
		["BAR_TEXTURE"] = "바 텍스쳐",
		["BAR_TEXTURE_DESC"] = "탱커 프레임의 텍스쳐를 설정합니다.",
		["BAR_TEXTURE_USAGE"] = "<텍스쳐 이름>",
        ["SHOW_MTHP_SHORT"] = "MTHP표시",
        ["SHOW_MTHP"] = "탱커의 HP바 표시",
        ["SHOW_MTHP_DESC"] = "탱커의 HP바를 표시합니다.",
        
    --new in 2,3
		["TRANSPARENCY"] = "투명도",
		["TRANSPARENCY_DESC"] = "MainAssist 프레임의 투명도를 설정합니다.",
		["CLASS"] = "직업",
		["CLASS_DESC"] = "탱커의 직업에 따라 색상을 설정합니다.",
		["TARGETCLASS"] = "대상 직업",
		["TARGETCLASS_DESC"] = "탱커의 색상을 대상의 직업에 따라 설정합니다.",
		["RESET_MAINASSIST"] = "탱커 목록에 지원 대상이 없습니다. 지원 대상을 리셋합니다.",
		["ASSISTS"] = "자동 대상 지원 설정",
		["ASSISTS_OPTIONS"] = "탱커 목록에서 자동 지원 대상을 선택하는 기본 방식을 설정합니다. 탱커 프레임에서 마우스 오른쪽 클릭을 통해 선택한 설정은 기본 설정보다 우선합니다.",
		["MAIN_ASSIST_LIST"] = "자동 대상 지원 목록",
		["MAIN_ASSIST_POSITION"] = "위치",
		["MAIN_ASSIST_FIRST"] = "처음",
		["MAIN_ASSIST_FIRST_DESC"] = "목록의 가장 위에 있는 탱커를 자동 지원 대상으로 설정합니다.",
		["MAIN_ASSIST_LAST"] = "마지막",
		["MAIN_ASSIST_LAST_DESC"] = "목록의 가장 아래에 있는 탱커를 자동 지원 대상으로 설정합니다.",
		["MAIN_ASSIST"] = "자동 지원",
		["CLEAR_MAIN_ASSIST"] = "지원 대상에서 해제",
		["SET_MAIN_ASSIST"] = "지원 대상으로 설정",		
		["SECONDARY_ASSIST"] = "보조 지원",
		["SET_SECONDARY_ASSIST"] = "보조 지원 대상으로 설정",
		["CLEAR_SECONDARY_ASSIST"] = "보조 지원 대상에서 해제",
    }
end)